Chat now with support
Chat with Support

Foglight 5.7.5 - Upgrade Guide

Understand product versions Best practices Upgrade the Foglight Management Server Upgrade the Foglight Agent Manager Upgrade the Application Monitoring cartridges Upgrade the Database cartridges Upgrade the End User Management cartridges Upgrade the Infrastructure Management cartridges Upgrade the Integration cartridges Upgrade the cartridges in a federated or High Availability (HA) environment Appendix: Deploy an agent package using the browser interface

Upgrade Foglight for Java EE Technologies

The latest version of Foglight for Java EE Technologies is version 5.9.11. Upgrades from versions 5.9.x and 5.8.x are supported.

Foglight for Java EE Technologies 5.9.11 requires Management Server version 5.6.7 or later.

The Nexus requires Foglight Agent Manager version 5.6.7.2 or later. Version 5.6.7.3 or later is recommended. The Java EE Integration Agent requires Foglight Agent Manager version 5.6.2.2 or later.

Foglight for Java EE Technologies version 5.9.11 accepts connections from the JavaEE Agent versions 5.9.x and 5.8.x. Connections from version 5.7.x, 5.6.1, or earlier of the JavaEE Agent are not supported.

Upgrade Foglight for Java EE Technologies from version 5.9.x to version 5.9.11

1
Install the 5.9.11 cartridge (ApplicationServers-Java-5_9_11.car) as you would a new cartridge. Do not delete or uninstall the previous version. For cartridge installation instructions, see “Installing Foglight cartridges” in the Foglight Administration and Configuration Help.
2
On the navigation panel, under Dashboards, click Application Servers > Administration > Application Servers Administration.
e
A task is added to the Task History list at the bottom of the view. Check the Result column for information on the upgrade process and its status.

Configuration migration during upgrades

If you have modified the configuration files and you perform a minor version upgrade (for example from x.y.z to x.y.z+1), your modified files are preserved. The default contents of the configuration files from the new version are overwritten with your changes.

For example, you have version 5.9.3.2 currently installed and you have modified the Nexus recording.config and the APM agent instrumentation.config. Upgrading to version 5.9.11 would overwrite the default contents of the 5.9.11 versions of those files with your file contents from 5.9.3.2. All other 5.9.11 configuration files are unchanged, and contain the default contents installed by the 5.9.11 cartridge.

NOTE: Configuration files managed through the Advanced dashboards (for example, nexus/aggregation.config or agent/java/collector/jboss.config) are not automatically migrated. If you have made any modifications to these files, they must be migrated manually, with the assistance of Customer Support where necessary.
In addition, the nexus/compatible-builds.config file is never automatically migrated. If you have any patch build IDs, these must be manually added to the new version’s compatible-builds.config with the assistance of Customer Support.

Upgrade Foglight for Java EE Technologies from version 5.8.x to version 5.9.11

1
Read the topic “Before You Begin the Installation Process” in the Foglight for Java EE Technologies Installation and Configuration Guide or help before you install the cartridge.
2
Install the new cartridge (ApplicationServers-Java-5_9_11.car).
Nexus configuration files (recording.config, aggregation.config, and compatible-builds.config) are now managed through the Application Servers Administration > Nexus Administration dashboard. For details, see the Foglight for Java EE Technologies Administration and Configuration Guide or help.
Agent configuration files are now managed through the Application Servers Administration > Java Administration dashboard. For details, see the Foglight for Java EE Technologies Installation and Configuration Guide or help.

The JavaDeploymentManager agent has been replaced by the Java Integrator Agent. You must create a new integration from the Application Servers Administration dashboard. Creating a new integration in version 5.9.11 upgrades any 5.8.x integrations. For details, see the Foglight for Java EE Technologies Installation and Configuration Guide or help.

Related Documents